MQSubsystem (CMDB Model API)
Keywords: com.collation.platform.model.topology.sys.zOS.MQSubsystem interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.sys.zOS
Interface MQSubsystem

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQQueueManager, java.io.Serializable, Subsystem, Version

    public interface MQSubsystem

extends MQQueueManager, Version, Subsystem

MQ subsystems consist of a Queue Manager address space and a MQ Channel Initiator address sapce running on a z/OS system.

Naming Rules:
  0="zos,subsystemName"
Persistable:
  true
Table Name:
  SUBSYSMQ
Display Name:
  zos,subsystemName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`RUNNING, STOPPED`

Method Summary
`java.lang.String` | `getSubsystemName()`
`ZOS` | `getZos()`
`boolean` | `hasSubsystemName()`
`boolean` | `hasZos()`
`void` | `setSubsystemName(java.lang.String x)`
`void` | `setZos(ZOS x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQQueueManager
`getAuthInfo, getBufferPool, getChannelAutoDefinition, getChannels, getClusters, getClusterWorkloadUseQueue, getDataPath, getDeadLetterQueue, getDefautlQueue, getExitLocal, getExitsDefaultPath, getExitsDefaultPath64, getInstallation, getListeners, getLogDefaultPath, getLogWriteIntegrity, getMaxMessageLength, getMqinstallableservice, getMqreceiverchannel, getMqsenderchannel, getNameList, getPageSet, getProcess, getQueueManagerIdentifier, getQueueManagerStatus, getQueues, getRepository, getRepositoryNameList, getRepositoryType, getService, getSSLKeyRepository, getStartChannelInitiator, getStartCommandServer, getStorageClass, getTriggerInterval, hasAuthInfo, hasBufferPool, hasChannelAutoDefinition, hasChannels, hasClusters, hasClusterWorkloadUseQueue, hasDataPath, hasDeadLetterQueue, hasDefautlQueue, hasExitLocal, hasExitsDefaultPath, hasExitsDefaultPath64, hasInstallation, hasListeners, hasLogDefaultPath, hasLogWriteIntegrity, hasMaxMessageLength, hasMqinstallableservice, hasMqreceiverchannel, hasMqsenderchannel, hasNameList, hasPageSet, hasProcess, hasQueueManagerIdentifier, hasQueueManagerStatus, hasQueues, hasRepository, hasRepositoryNameList, hasRepositoryType, hasService, hasSSLKeyRepository, hasStartChannelInitiator, hasStartCommandServer, hasStorageClass, hasTriggerInterval, setAuthInfo, setBufferPool, setChannelAutoDefinition, setChannels, setClusters, setClusterWorkloadUseQueue, setDataPath, setDeadLetterQueue, setDefautlQueue, setExitLocal, setExitsDefaultPath, setExitsDefaultPath64, setInstallation, setListeners, setLogDefaultPath, setLogWriteIntegrity, setMaxMessageLength, setMqinstallableservice, setMqreceiverchannel, setMqsenderchannel, setNameList, setPageSet, setProcess, setQueueManagerIdentifier, setQueueManagerStatus, setQueues, setRepository, setRepositoryNameList, setRepositoryType, setService, setSSLKeyRepository, setStartChannelInitiator, setStartCommandServer, setStorageClass, setTriggerInterval`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.sys.zOS.Subsystem
`getAddressspace, getAddressspaces, getBindaddress, getCommandPrefixName, getControllingAddressSpace, getSysplexgroup, hasAddressspace, hasAddressspaces, hasBindaddress, hasCommandPrefixName, hasControllingAddressSpace, hasSysplexgroup, setAddressspace, setAddressspaces, setBindaddress, setCommandPrefixName, setControllingAddressSpace, setSysplexgroup`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getSubsystemName

    java.lang.String getSubsystemName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSubsystemName

    void setSubsystemName(java.lang.String x)

### hasSubsystemName

    boolean hasSubsystemName()

### getZos

    ZOS getZos()
               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.HostedDependency" reverse="false"

### setZos

    void setZos(ZOS x)

### hasZos

    boolean hasZos()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD